### Method

# FwupdPlugin Device has_problem

#### Declaration [src]

    gboolean
    fu_device_has_problem (
      FuDevice* self,
      FwupdDeviceProblem problem
    )

#### Description [src]

Query if a device has a specific problem.

Available since: | 1.8.11

#### Parameters

`problem` | `FwupdDeviceProblem`
| A `FwupdDeviceProblem`, e.g. `FWUPD_DEVICE_PROBLEM_SYSTEM_POWER_TOO_LOW`.

#### Return value

Returns: | `gboolean`
| `TRUE` if the device has this problem.